# Generated from google_maps_api-core-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name google_maps_api-core

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Common stuff used by the google_maps_api gem components
License: MIT
URL: https://github.com/zavan/google_maps_api-core
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0.0.beta2
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Common stuff used by the google_maps_api gem components.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/google_maps_api-core.gemspec
%{gem_instdir}/spec

%changelog
* Tue Feb 08 2022 mockbuilder - 0.2.0-1
- Initial package
